#
# spec file for package fbdesk
#
# Copyright (c) 2016 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           fbdesk
Version:        1.4.1
Release:        5.2
Summary:        Icon Manager for Fluxbox
License:        MIT
Group:          System/GUI/Other
Url:            http://fluxbox.sourceforge.net/fbdesk/
Source0:        http://fluxbox.sourceforge.net/download/fbdesk-1.4.1.tar.gz
Patch0:         %{name}-gcc43.patch
Patch1:         %{name}-png.patch

BuildRequires:  imlib2-devel
BuildRequires:  xorg-x11-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++

%description
FbDesk is a fluxbox-util application that creates and manages icons on your
Fluxbox desktop.

%prep
%setup -q
%patch0 -p1 -b .gcc43
%patch1 -p1


%build
export CFLAGS='%{optflags} -std=gnu++98'
export CXXFLAGS=$CFLAGS
%configure
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_bindir}/*

%changelog
* Sat Oct  8 2016 aloisio@gmx.com
- Fixed Leap 42.2 and TW build
- Spec cleanup
* Mon Nov 30 2009 detlef@links2linux.de
- initial build for PackMan
* Thu Jul 23 2009 rel-eng@lists.fedoraproject.org
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Mon Feb 23 2009 rel-eng@lists.fedoraproject.org
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Sun Mar 30 2008 caillon@redhat.com
- Add needed C++ #include directives for GCC 4.3
* Sun Feb 17 2008 rel-eng@fedoraproject.org
- Autorebuild for GCC 4.3
  Mon Feb 11 00:00:00 CET 2008 - Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 1.4.1-2
- Rebuilt for gcc43
  Thu Jan  3 00:00:00 CET 2008 - Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
  1.4.1-1
- version upgrade
- fix rpath
  Wed Aug 22 00:00:00 CEST 2007 - Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
  1.4.0-3
- rebuild for buildid
  Tue Sep 12 00:00:00 CEST 2006 - Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
  1.4.0-2
- FE6 rebuild
  Thu Mar 30 00:00:00 CEST 2006 - Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
  1.4.0-1
- version upgrade
  Thu Mar  2 00:00:00 CET 2006 - Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
  1.2.1-3
- add gcc4.1 patch
  Sun Jan 29 00:00:00 CET 2006 - Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- modular X
  Thu Apr  7 00:00:00 CEST 2005 - Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt
  Sun Feb 13 00:00:00 CET 2005 - Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
  1.2.1-1
- version upgrade
- droped gcc34 patch
  Wed Nov 17 00:00:00 CET 2004 - Michael Schwendt <mschwendt[AT]users.sf.net> 1.1.5-4
- Fix for GCC 3.4, bump release.
  Mon Jul 28 00:00:00 CEST 2003 - Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
  0:1.1.5-0.fdr.3
- partly applied patch provided by Michael Schwendt ( #441 #3 )
- fixed up some minor stuff
  Sun Jul 13 00:00:00 CEST 2003 - Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
  0:1.1.5-0.fdr.2
- Minor fixes to make rpmlint happy
  Fri Jun 27 00:00:00 CEST 2003 - Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
  0:1.1.5-0.fdr.1
- Initial RPM release.
